Summary: A CD-ROM image access library
Name: libmirage
Version: 1.1.0
Release: alt1
License: GPLv2+
Group: System/Libraries
URL: http://cdemu.sourceforge.net
Source: http://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar

# Automatically added by buildreq on Mon Nov 17 2008
BuildRequires: flex gcc-c++ glib2-devel gtk-doc libsndfile-devel zlib-devel

BuildRequires: pkgconfig >= 1:0.14
BuildRequires: flex >= 2.5.33, bison
BuildRequires: libsndfile-devel
BuildRequires: zlib-devel

Requires(post): shared-mime-info
Requires(postun): shared-mime-info

%description
This is libMirage library, a CD-ROM image access library, and part of the 
userspace-cdemu suite, a free, GPL CD/DVD-ROM device emulator for linux. It is
written in C and based on GLib.

The aim of libMirage is to provide uniform access to the data stored in 
different image formats, by creating a representation of disc stored in image 
file, which is based on GObjects.

%package devel
Summary: A CD-ROM image access library
Group: Development/C
Requires: pkgconfig >= 1:0.14
Requires: %{name} = %{version}-%{release}

%description devel
This is libMirage library, a CD-ROM image access library, and part of the 
userspace-cdemu suite, a free, GPL CD/DVD-ROM device emulator for linux. It is
written in C and based on GLib.

This package contains files needed to develop with libMirage.

%prep
%setup -q

%build
%configure --enable-gtk-doc --disable-static
%make_build

%install
%make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT%{_libdir} -name *.la -or -name \*.a | xargs rm -f

%post
%post_ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
%postun_ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :

%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libmirage.so.*
%{_libdir}/libmirage/*.so
%{_datadir}/mime/packages/*

%files devel
%defattr(-, root, root, -)
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%doc %{_datadir}/gtk-doc/html/*

%changelog
* Fri Nov 14 2008 Nick S. Grechukh <gns@altlinux.org> 1.1.0-alt1
- first build for ALT Linux

* Sat Jun 28 2008 Rok Mandeljc <rok.mandeljc@email.si> - 1.1.0-1
- Updated to 1.1.0

* Thu Dec 20 2007 Rok Mandeljc <rok.mandeljc@email.si> - 1.0.0-1
- Initial RPM release.
